# gdcm::CryptographicMessageSyntax Class Reference

Class for CryptographicMessageSyntax encryption. This is just a simple wrapper around openssl PKCS7_encrypt functionalities. More...

`#include <gdcmCryptographicMessageSyntax.h>`

List of all members.

## Public Types
enum | CipherTypes { DES_CIPHER, DES3_CIPHER, AES128_CIPHER, AES192_CIPHER, AES256_CIPHER }
## Public Member Functions
| CryptographicMessageSyntax ()
| ~CryptographicMessageSyntax ()
bool | Decrypt (char *output, size_t &outlen, const char *array, size_t len) const
bool | Encrypt (char *output, size_t &outlen, const char *array, size_t len) const
CipherTypes | GetCipherType () const
bool | ParseCertificateFile (const char *filename)
bool | ParseKeyFile (const char *filename)
void | SetCipherType (CipherTypes type)

## Detailed Description

Class for CryptographicMessageSyntax encryption. This is just a simple wrapper around openssl PKCS7_encrypt functionalities.

See online documentation http://www.openssl.org/docs/crypto/PKCS7_encrypt.html

## Member Enumeration Documentation

enum gdcm::CryptographicMessageSyntax::CipherTypes

Enumerator:

  DES_CIPHER |
  DES3_CIPHER |
  AES128_CIPHER |
  AES192_CIPHER |
  AES256_CIPHER |

## Constructor & Destructor Documentation

gdcm::CryptographicMessageSyntax::CryptographicMessageSyntax | ( |  | ) |

gdcm::CryptographicMessageSyntax::~CryptographicMessageSyntax | ( |  | ) |

## Member Function Documentation

bool gdcm::CryptographicMessageSyntax::Decrypt | ( | char * | output,
|  | size_t & | outlen,
|  | const char * | array,
|  | size_t | len |
| ) |  |  | const

bool gdcm::CryptographicMessageSyntax::Encrypt | ( | char * | output,
|  | size_t & | outlen,
|  | const char * | array,
|  | size_t | len |
| ) |  |  | const

CipherTypes gdcm::CryptographicMessageSyntax::GetCipherType | ( |  | ) | const

bool gdcm::CryptographicMessageSyntax::ParseCertificateFile | ( | const char * | filename | ) |

bool gdcm::CryptographicMessageSyntax::ParseKeyFile | ( | const char * | filename | ) |

void gdcm::CryptographicMessageSyntax::SetCipherType | ( | CipherTypes | type | ) |

The documentation for this class was generated from the following file:

- gdcmCryptographicMessageSyntax.h